
TYPO3.Flow - Bug # 36517

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category: Security
Created: 2012-04-24 Assigned To: Christopher Hlubek
Updated: 2012-07-18 Due date:
PHP Version:
Has patch: Yes
Complexity:
Affected Flow version: (any)
Subject: Functional tests with security do not work
Description

After the HTTP refactoring there are some problems with the functional tests and security.

Associated revisions
Revision b839259f - 2012-04-26 15:21 - Christopher Hlubek

[BUGFIX] Fix functional tests with security and sendWebRequest

This change fixes some security related aspects of the functional
base testcase. Field visibility and method visibility is restored
to protected since custom tests need to be able to call some
of the dependencies (e.g. to initialize or reset additional test
providers). Also sendWebRequest is working again with the new
request implementation and without mocks.

Fixes: #36517
Releases: 1.1
Change-Id: I076a02096fb62bb1b8a51d888287d68c6ca26965

History
#1 - 2012-04-24 16:40 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10740

#2 - 2012-04-24 16:41 - Christopher Hlubek
- Has patch changed from No to Yes

#3 - 2012-04-26 14:26 - Karsten Dambekalns
- Category set to Security
- Target version set to 1.1

#4 - 2012-04-26 14:26 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10740

#5 - 2012-04-26 15:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10740

#6 - 2012-04-26 17:32 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

#7 - 2012-07-17 23:35 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12857

#8 - 2012-07-18 13:12 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Affected Flow version changed from Git master to (any)
